Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 637614 - net-nds/ypbind-1.37.2-r1 : ypbind-mt.c:42:21: fatal error: rpc/rpc.h: No such file or directory
Summary: net-nds/ypbind-1.37.2-r1 : ypbind-mt.c:42:21: fatal error: rpc/rpc.h: No such...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending removal: 2018-02-04
Keywords: PMASKED
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-11-15 18:46 UTC by Toralf Förster
Modified: 2018-03-11 10:44 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.76 KB, text/plain)
2017-11-15 18:46 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,222.85 KB, text/plain)
2017-11-15 18:46 UTC, Toralf Förster
Details
environment (environment,85.29 KB, text/plain)
2017-11-15 18:46 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.63 KB, application/x-bzip)
2017-11-15 18:46 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.73 KB, application/x-bzip)
2017-11-15 18:46 UTC, Toralf Förster
Details
net-nds:ypbind-1.37.2-r1:20171115-050301.log (net-nds:ypbind-1.37.2-r1:20171115-050301.log,7.90 KB, text/plain)
2017-11-15 18:46 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.45 KB, application/x-bzip)
2017-11-15 18:46 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-11-15 18:46:20 UTC
make[2]: Entering directory '/var/tmp/portage/net-nds/ypbind-1.37.2-r1/work/ypbind-mt-1.37.2/src'
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -D_REENTRANT=1 -Wall -DUSE_BROADCAST=1 -DLOCALEDIR=\"/usr/share/locale\"   -DUSE_SD_NOTIFY=1 -O2 -pipe -march=native -Wall -c ypbind-mt.c
ypbind-mt.c:42:21: fatal error: rpc/rpc.h: No such file or directory
 #include <rpc/rpc.h>
                     ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-systemd_20171110-180110

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:


emerge -qpv net-nds/ypbind
[ebuild  N    ] net-nds/ypbind-1.37.2-r1  USE="nls systemd -dbus -debug -slp"
Comment 1 Toralf Förster gentoo-dev 2017-11-15 18:46:24 UTC
Created attachment 504340 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-11-15 18:46:28 UTC
Created attachment 504342 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-11-15 18:46:32 UTC
Created attachment 504344 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-11-15 18:46:36 UTC
Created attachment 504346 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-11-15 18:46:39 UTC
Created attachment 504348 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-11-15 18:46:43 UTC
Created attachment 504350 [details]
net-nds:ypbind-1.37.2-r1:20171115-050301.log
Comment 7 Toralf Förster gentoo-dev 2017-11-15 18:46:46 UTC
Created attachment 504352 [details]
temp.tbz2
Comment 8 Joe Harvell 2018-03-05 18:55:01 UTC
On my system this is happening because I upgraded glibc to 2.26-r6.  Beginning with glibc-2.26, the rpc functions are no longer built into glibc by default.

I installed net-libs/libtirpc, which now provides these functions.  The headers are installed in /usr/include/tirpc, but this package does not add this directory to the include path when compiling.

I have successfully installed net-nds/yp-tools, and its ypcat links to libtirpc.so to get those functions.

The ebuild supports this as follows:

DEPEND="
        || ( <sys-libs/glibc-2.26[rpc] net-libs/libtirpc )
        net-libs/libnsl:0=
"

And presumably it adds /usr/include/tirpc to the include path when compiling as appropriate.
Comment 9 Joe Harvell 2018-03-05 18:58:07 UTC
Ugh.  Just realized you guys already know that is and just decided to give up.

Any idea what gentoo packages might support ypbind and ypserv functionality in the future?
Comment 10 Pacho Ramos gentoo-dev 2018-03-11 10:44:11 UTC
Removed from the tree